com.sun.opengl.util.texture.spi

## Interface TextureWriter

    public interface TextureWriter

Plug-in interface to TextureIO to support writing OpenGL textures to new file formats.

### Method Summary

Methods
`boolean` `write(File file, TextureData data)` Writes the given TextureData to the passed file.

### Method Detail

#### write

    boolean write(File file,
                TextureData data)
                  throws IOException

Writes the given TextureData to the passed file. Returns true if this TextureWriter successfully handled the writing of the file, otherwise false. May throw IOException if either this writer did not support certain parameters of the TextureData or if an I/O error occurred.

Throws:
  `IOException`